Page MenuHomeFreeBSD

mail/dbmail: remove dead sbrk linkage
ClosedPublic

Authored by brooks on Dec 8 2023, 10:43 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 23 2023, 4:26 AM
Unknown Object (File)
Dec 16 2023, 12:06 AM
Unknown Object (File)
Dec 9 2023, 8:05 AM
Subscribers
None

Details

Summary

Somewhat more throughly disable dead code paths that use sbrk.
(MPOOL_FLAG_USE_SBRK is only set of a const variable that is set to 0 is
true so this is entierly dead code.)

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

brooks created this revision.

Compile tested only on an amd64 userspace without sbrk.

Looking into it. If build is successful will commit.

Looks buildable. Will commit in my next batch.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 10 2023, 2:57 PM
Closed by commit R11:c59c5adc46f3: mail/dbmail: Remove dead sbrk linkage (authored by brooks, committed by bofh). · Explain Why
This revision was automatically updated to reflect the committed changes.